Page MenuHomeFreeBSD

MFC 348757,351225: acpi and nvdimm location_str updates
ClosedPublic

Authored by scottph on Jun 14 2019, 9:36 PM.

Details

Summary

348757:
nvdimm: Provide nvdimm location information

Provide the acpi handle path as the location string for the nvdimm
children of the nvdimm_root device.

351225:
Don't set the string "unknown" as a device's location_str

Return an empty string when the location is unknown instead of the
string "unknown". This ensures that all location entries are of
the form key=val.

Sponsored by: Intel Corporation

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 24855
Build 23604: arc lint + arc unit

Event Timeline

scottph created this revision.Jun 14 2019, 9:36 PM
emaste accepted this revision.Jun 15 2019, 8:36 AM
emaste added a subscriber: emaste.

It looks like Phabricator will report that there are property changes on the directory but does not show the details - you can confirm that svn diff shows this metadata change:

Index: .
===================================================================
--- .   (revision 349048)
+++ .   (working copy)

Property changes on: .
___________________________________________________________________
Modified: svn:mergeinfo
## -0,0 +0,1 ##
   Merged /head:r348757
This revision is now accepted and ready to land.Jun 15 2019, 8:36 AM
imp requested changes to this revision.Jun 15 2019, 4:10 PM
imp added inline comments.
sys/dev/nvdimm/nvdimm.c
574

Don't do this. All entries must be foo=bar for the parser to be happy. If it is unknown, report nothing: *buf = '\0';

This revision now requires changes to proceed.Jun 15 2019, 4:10 PM
emaste added inline comments.Jun 19 2019, 1:53 PM
sys/dev/nvdimm/nvdimm.c
574

Note that this review is for the MFC, the change is already in head, review D20528.

Path forward is to make the change in head, then MFC both together.

scottph added inline comments.Jun 23 2019, 1:22 PM
sys/dev/nvdimm/nvdimm.c
574

@imp, thanks for pointing that out. I was following acpi's method https://svnweb.freebsd.org/base/head/sys/dev/acpica/acpi.c?revision=347984&view=markup#l853

I'll send a change for both of these and then squash that into this MFC.

scottph updated this revision to Diff 61299.Aug 26 2019, 5:10 PM
scottph retitled this revision from MFC 348757: nvdimm: Provide nvdimm location information to MFC 348757,351225: acpi and nvdimm location_str updates.
scottph edited the summary of this revision. (Show Details)

Index: stable/12

and also:

  • stable/12 (revision 351512)

+++ stable/12 (working copy)

Property changes on: stable/12


Modified: svn:mergeinfo

  1. -0,0 +0,1 ## Merged /head:r348757,351225
scottl accepted this revision.Sep 9 2019, 7:49 PM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 9 2019, 8:50 PM
This revision was automatically updated to reflect the committed changes.